select
    an.numero as numero,
    an.nome as nome,
    an.nomecompleto as nome_completo,
    an.regassocraca as registo,
    rep.data as data_parto,
    tp.descricao as tipoparto,
    (case when rep.cdreproducao in
        (select distinct cdreproducao from animal) then
            (select first 1 an.numero from animal an where an.cdreproducao = rep.cdreproducao) else null end) as cria,
    (case when rep.cdreproducao in
        (select distinct cdreproducao from animal) then
            (select first 1 an.sexo from animal an where an.cdreproducao = rep.cdreproducao) else rep.sexocria1 end) as sexo,
    cob.data as data_cobertura,
    tpcob.descricao as tipo_cobricao,
    tou.numero as touro
from
    animal an
    join reproducao rep on rep.cdanimal = an.cdanimal
    join tipoparto tp on tp.cdtipoparto = rep.cdtipoparto
    left join reproducao cob on cob.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = rep.cdanimal
            and re.data < rep.data order by re.data desc)
    left join animal tou on tou.cdanimal = cob.cdreprodutor
    left join tiporeproducao tpcob on cob.cdtiporeproducao = tpcob.cdtiporeproducao
where
    rep.cdtiporeproducao = 7  and
    rep.data between '2010-01-01' and '2010-09-30'
order by
    rep.data